<?php
$config->publishtemplate->form = new stdclass();
$config->publishtemplate->form->create = array();
$config->publishtemplate->form->create['system']    = array('type' => 'string', 'required' => true);
$config->publishtemplate->form->create['name']      = array('type' => 'string', 'required' => true);
$config->publishtemplate->form->create['systemID']  = array('type' => 'string', 'required' => true);
$config->publishtemplate->form->create['clusterID'] = array('type' => 'string', 'required' => false, 'default' => 0);
$config->publishtemplate->form->create['appKey']    = array('type' => 'string', 'required' => true);
$config->publishtemplate->form->create['remoteID']  = array('type' => 'string', 'required' => false);
$config->publishtemplate->form->create['envID']     = array('type' => 'string', 'required' => false, 'default' => 0);
$config->publishtemplate->form->create['hosts']     = array('type' => 'array', 'required' => true);
$config->publishtemplate->form->create['desc']      = array('type' => 'string', 'required' => false,  'default' => '');
$config->publishtemplate->form->create['settings']  = array('type' => 'array', 'required' => true);

$config->publishtemplate->form->edit = $config->publishtemplate->form->create;
